/* Copyright (c) 1992 by NightShade Software
 *
 * NAME
 *     WindowDepthBrowserCell : NXBrowserCell
 *
 * DESCRIPTION
 *     Custom BrowserCell for WindowDepth preferences module.
 *
 * COMMENTS/PROBLEMS
 *     ----
 *
 * AUTHOR/DATE CREATED
 *     Gary Ritchie/November 24, 1992
 *
 * REVISIONS
 *     Tom Hageman -- Nov 1997 -- OPENSTEP Support
 *                 -- Mar 1999 -- rename class to avoid potential conflicts.
 */
 
#import <appkit/appkit.h>

@interface WindowDepthBrowserCell : NXBrowserCell
{
    NXAtom owner;		// The name of the application
    char depth;			// The WindowDepthLimit
    BOOL test;			// YES if using Test prefix
    BOOL nextstep;		// YES if NEXTSTEP default
    BOOL openstep;		// YES if OPENSTEP default (can be both).
}

- initTextCell:(const char *)aString;
- setOwner:(NXAtom)theOwner;
- (NXAtom)owner;
- setDepth:(int)theDepth;
- (int)depth;
- (NXImage *)depthImage;

- setTestMode:(BOOL)flag;
- (BOOL)testMode;
- setNextstep:(BOOL)flag;
- (BOOL)nextstep;
- setOpenstep:(BOOL)flag;
- (BOOL)openstep;

- drawInside:(const NXRect *)cellFrame inView:controlView;

@end
